-- StowIt
-- Sheaths your weapon after you leave combat.
-- Author: stjobe

local SI = {}

-- EVENT_PLAYER_COMBAT_STATE sends 'true' once when combat starts
-- and then 'nil' on every update, so we just check for 'true' to
-- start our loop
function SI.Trigger(_, inCombat)
    if inCombat then
        zo_callLater(SI.Loop, 1000)
    end
end

-- Check once a second whether we're still in combat. If we're not,
-- we wait 1.5 seconds to let animations finish playing, then we
-- toggle TogglePlayerWield to sheath our weapon(s)
function SI.Loop()
	if IsUnitInCombat("player") == false then
		zo_callLater(TogglePlayerWield, 1500)
	else
		zo_callLater(SI.Loop, 1000)
	end
end

-- Register our event listener as soon as the addon loads
function StowItOnInitialized(self)
    self:RegisterForEvent(EVENT_PLAYER_COMBAT_STATE, SI.Trigger)
end